<h1 class="bd-title mb-0" id="content">Cards user interface</h1>
<p class="bd-lead">Documentation and examples for opt-in styling of tables (given their prevalent use in JavaScript
  plugins) with Bootstrap.</p>

  <h4>Group Card Angular integration Example</h4>
  <sb-group-card [group]="gCardData.group" [isMobile]="false" [isAdmin]="true" [isSuspended]="true"></sb-group-card>

  <br><br><br><br>
  
<!--Page Content-->
<div class="docs-sections hide hidden" *ngFor="let section of sections;">

  <h4 class="docs-sectionHeading">
    {{section.title}}
    <i class="fa fa-code text-gray docs-expandCode" (click)="section.expandCode = !section.expandCode"
      title="Toggle Code" tabindex="0"></i>
  </h4>

  <!--Display output-->
  <div class="docs-sectionDemoCode" [innerHTML]="section.demoCode | keepHtml">
  </div>
  <!--/Display output-->

  <!--Display code-->
  <div class="docs-sectionCopyCode" *ngIf="section.expandCode">

    <!--Copy code button-->
    <button ngxClipboard [cbContent]="section.copyCode"
      class="sb-btn sb-btn-primary sb-btn-xs fa fa-copy btn-copy"></button>
    <!--/Copy code button-->

    <!--Copy code display-->
    <pre>
      <code [highlight]="section.copyCode"></code>
    
    </pre>

    <!--/Copy code display-->

  </div>
  <!--/Display code-->
</div>
<!--Page Content-->

<div class="ComponentBlock">
 <!--Display code-->
 <h4>Basic Card <em class="fsmall"><a href="https://github.com/Sunbird-Ed/SunbirdEd-consumption-ngcomponents/blob/master/projects/common-consumption/src/lib/card/library-card/library-card.md" target="_blank">Git Reference</a></em></h4>
<p>Documentation and examples for opt-in styling of tables (given their prevalent use in JavaScript
  plugins) with Bootstrap.</p>

  <div class="note">
    <p class="mb-0 sb-color-gray-800"><i class="fa-solid fa-circle-info"></i> The css3 varaiables can be replaced with any of your supported theme colors.</p>
  </div>
 <div class="ComponentBlock__view">
  <!-- display area of component start -->
    <h6 class="mt-0 font-weight-bold text-uppercase">Basic Card</h6>
    <div class="sb--card" title="group?.name" attr.aria-label="group?.name" role="link" tabindex="0">
      <div class="sb--card__main-area">
        <div class="sb--card__title sb__ellipsis sb__ellipsis--three text-left ml-16" title="group?.name">group?.name</div>
      </div>
    </div>
  <!-- display area of component end -->
 </div>
 <div class="ComponentBlock__code">
    <!-- Code view start -->
    <sui-tabset>
          <div class="ui top attached tabular menu">
              <a class="item" suiTabHeader="1">HTML</a>
              <a class="item" suiTabHeader="2">CSS</a>
              <a class="item" suiTabHeader="3">Variables</a>
          </div>
          <div class="ui bottom attached segment" suiTabContent="1">
            
                <div class="relative" *ngIf="groupcard_basic">
                
                  <!--Copy code button-->
                  <button class="copycode__btn" ngxClipboard [cbContent]="groupcard_basic"
                    class="sb-btn sb-btn-primary sb-btn-xs fa fa-copy btn-copy"></button>
                  <!--Copy code button-->
              
                  <!--Copy code display-->
                  <pre>
                    <code [languages]="['html']" [highlight]="groupcard_basic"></code>
                  </pre>
                  <!--Copy code display-->
                </div>
            </div>

          <div class="ui bottom attached segment" suiTabContent="2">
                <!-- <h6 class="mt-0 font-weight-bold text-uppercase">CSS</h6> -->
                <div class="relative" *ngIf="sblibrarycardV2_css">
                  <!--Copy code button-->
                  <button class="copycode__btn" ngxClipboard [cbContent]="sblibrarycardV2_css"
                    class="sb-btn sb-btn-primary sb-btn-xs fa fa-copy btn-copy"></button>
                  <!--Copy code button-->
              
                  <!--Copy code display-->
                  <pre>
                    <code [languages]="['css']" [highlight]="sblibrarycardV2_css"></code>
                  </pre>
                  <!--Copy code display-->
                </div>
            </div>
          <div class="ui bottom attached segment" suiTabContent="3">
                <!-- <h6 class="mt-0 font-weight-bold text-uppercase">CSS</h6> -->
                
                <div class="relative" *ngIf="sblibrarycardV2_vars">
                  <!--Copy code button-->
                  <button class="copycode__btn" ngxClipboard [cbContent]="sblibrarycardV2_vars"
                    class="sb-btn sb-btn-primary sb-btn-xs fa fa-copy btn-copy"></button>
                  <!--Copy code button-->
              
                  <!--Copy code display-->
                  <pre>
                    <code [languages]="['scss']" [highlight]="sblibrarycardV2_vars"></code>
                  </pre>
                  <!--Copy code display-->
                </div>
            </div>
    </sui-tabset>

  <!-- Code view end -->
 </div>
 <div class="running_snippetBlock">
  <p>You can replace the css3 variables to customize the theme to parent theme.</p>
    <div class="running_snippet mt-16">
      <button class="copycode__btn" ngxClipboard [cbContent]="gcardThemeC1" class="sb-btn sb-btn-primary sb-btn-xs fa fa-copy btn-copy"></button>
          <pre><code [highlight]="gcardThemeC1"></code></pre>
    </div>
 </div>

</div>



<div class="ComponentBlock">
  <!--Display code-->
  <h4>Basic Card with Profile/initial <em class="fsmall"><a href="https://github.com/Sunbird-Ed/SunbirdEd-consumption-ngcomponents/blob/master/projects/common-consumption/src/lib/card/library-card/library-card.md" target="_blank">Git Reference</a></em></h4>
 <p>Documentation and examples for opt-in styling of tables (given their prevalent use in JavaScript
   plugins) with Bootstrap.</p>
 
  <div class="ComponentBlock__view">
   <!-- display area of component start -->
     <h6 class="mt-0 font-weight-bold text-uppercase">Basic Card with Profile/initial </h6>
     <div class="sb--card" title="group?.name" attr.aria-label="group?.name" role="link" tabindex="0">
      <div class="sb--card__main-area">
        <div class="sb--card__img">
          <div class="img-container img-container--label" style="background-color: rgb(179, 235, 215)">
            <label>AB</label>
          </div>
        </div>
        <div class="sb--card__info">
          <div class="d-flex flex-dr flex-jc-space-between">
            <div class="sb--card__title sb__ellipsis sb__ellipsis--three text-left" title="group?.name">group?.name</div>
          </div>
        </div>
      </div>
      </div>
   <!-- display area of component end -->
  </div>
  <div class="ComponentBlock__code">
     <!-- Code view start -->
     <sui-tabset>
           <div class="ui top attached tabular menu">
               <a class="item" suiTabHeader="1">HTML</a>
               <a class="item" suiTabHeader="2">CSS</a>
               <a class="item" suiTabHeader="3">Variables</a>
           </div>
           <div class="ui bottom attached segment" suiTabContent="1">
                 <div class="relative" *ngIf="groupcard_initial">
                   <!--Copy code button-->
                   <button class="copycode__btn" ngxClipboard [cbContent]="groupcard_initial"
                     class="sb-btn sb-btn-primary sb-btn-xs fa fa-copy btn-copy"></button>
                   <!--Copy code button-->
               
                   <!--Copy code display-->
                   <pre>
                     <code [languages]="['html']" [highlight]="groupcard_initial"></code>
                   </pre>
                   <!--Copy code display-->
                 </div>
             </div>
 
           <div class="ui bottom attached segment" suiTabContent="2">
                 <!-- <h6 class="mt-0 font-weight-bold text-uppercase">CSS</h6> -->
                 <div class="relative" *ngIf="sblibrarycardV2_css">
                   <!--Copy code button-->
                   <button class="copycode__btn" ngxClipboard [cbContent]="sblibrarycardV2_css"
                     class="sb-btn sb-btn-primary sb-btn-xs fa fa-copy btn-copy"></button>
                   <!--Copy code button-->
               
                   <!--Copy code display-->
                   <pre>
                     <code [languages]="['html']" [highlight]="sblibrarycardV2_css"></code>
                   </pre>
                   <!--Copy code display-->
                 </div>
             </div>
           <div class="ui bottom attached segment" suiTabContent="3">
                 <!-- <h6 class="mt-0 font-weight-bold text-uppercase">CSS</h6> -->
                 
                 <div class="relative" *ngIf="sblibrarycardV2_vars">
                   <!--Copy code button-->
                   <button class="copycode__btn" ngxClipboard [cbContent]="sblibrarycardV2_vars"
                     class="sb-btn sb-btn-primary sb-btn-xs fa fa-copy btn-copy"></button>
                   <!--Copy code button-->
               
                   <!--Copy code display-->
                   <pre>
                     <code [languages]="['html']" [highlight]="sblibrarycardV2_vars"></code>
                   </pre>
                   <!--Copy code display-->
                 </div>
             </div>
     </sui-tabset>
   <!-- Code view end -->
  </div>
</div>


<div class="ComponentBlock">
  <!--Display code-->
  <h4>Group Card (Admin) & suspend <em class="fsmall"><a href="https://github.com/Sunbird-Ed/SunbirdEd-consumption-ngcomponents/blob/master/projects/common-consumption/src/lib/card/library-card/library-card.md" target="_blank">Git Reference</a></em></h4>
<p>Documentation and examples for opt-in styling of tables (given their prevalent use in JavaScript
  plugins) with Bootstrap.</p>
 
  <div class="ComponentBlock__view">
   <!-- display area of component start -->
   <h6 class="mt-0 font-weight-bold text-uppercase">Enable "Admin" & Suspend</h6>
   <div class="sb--card" title="group?.name" attr.aria-label="group?.name" role="link" tabindex="0">
     <div class="sb--card__main-area">
       <div class="sb--card__img">
         <div class="img-container img-container--label" style="background-color: rgb(179, 235, 215)">
           <label>AB</label>
           <div class="img-container--badge">suspend</div>
         </div>
       </div>
       <div class="sb--card__info">
         <div class="d-flex flex-dr flex-jc-space-between">
           <div class="sb--card__title sb__ellipsis sb__ellipsis--three text-left" title="group?.name">group?.name</div>
           <div class="sb-label-badge">Admin</div>
         </div>
       </div>
     </div>
     </div>
   <!-- display area of component end -->
  </div>
  <div class="ComponentBlock__code">
     <!-- Code view start -->
     <sui-tabset>
           <div class="ui top attached tabular menu">
               <a class="item" suiTabHeader="1">HTML</a>
               <a class="item" suiTabHeader="2">CSS</a>
               <a class="item" suiTabHeader="3">Variables</a>
           </div>
           <div class="ui bottom attached segment" suiTabContent="1">
                 <div class="relative" *ngIf="groupcard_admin">
                   <!--Copy code button-->
                   <button class="copycode__btn" ngxClipboard [cbContent]="groupcard_admin"
                     class="sb-btn sb-btn-primary sb-btn-xs fa fa-copy btn-copy"></button>
                   <!--Copy code button-->
               
                   <!--Copy code display-->
                   <pre>
                     <code [languages]="['html']" [highlight]="groupcard_admin"></code>
                   </pre>
                   <!--Copy code display-->
                 </div>
             </div>
 
           <div class="ui bottom attached segment" suiTabContent="2">
                 <!-- <h6 class="mt-0 font-weight-bold text-uppercase">CSS</h6> -->
                 <div class="relative" *ngIf="sblibrarycardV2_css">
                   <!--Copy code button-->
                   <button class="copycode__btn" ngxClipboard [cbContent]="sblibrarycardV2_css"
                     class="sb-btn sb-btn-primary sb-btn-xs fa fa-copy btn-copy"></button>
                   <!--Copy code button-->
               
                   <!--Copy code display-->
                   <pre>
                     <code [languages]="['html']" [highlight]="sblibrarycardV2_css"></code>
                   </pre>
                   <!--Copy code display-->
                 </div>
             </div>
           <div class="ui bottom attached segment" suiTabContent="3">
                 <!-- <h6 class="mt-0 font-weight-bold text-uppercase">CSS</h6> -->
                 
                 <div class="relative" *ngIf="sblibrarycardV2_vars">
                   <!--Copy code button-->
                   <button class="copycode__btn" ngxClipboard [cbContent]="sblibrarycardV2_vars"
                     class="sb-btn sb-btn-primary sb-btn-xs fa fa-copy btn-copy"></button>
                   <!--Copy code button-->
               
                   <!--Copy code display-->
                   <pre>
                     <code [languages]="['html']" [highlight]="sblibrarycardV2_vars"></code>
                   </pre>
                   <!--Copy code display-->
                 </div>
             </div>
     </sui-tabset>
   <!-- Code view end -->
  </div>
</div>


<div class="ComponentBlock">
  <!--Display code-->
  <h4>Group Card (Mobile) <em class="fsmall"><a href="https://github.com/Sunbird-Ed/SunbirdEd-consumption-ngcomponents/blob/master/projects/common-consumption/src/lib/card/library-card/library-card.md" target="_blank">Git Reference</a></em></h4>
  <p>Documentation and examples for opt-in styling of tables (given their prevalent use in JavaScript
    plugins) with Bootstrap.</p>
 
  <div class="ComponentBlock__view">
   <!-- display area of component start -->
   <h6 class="mt-0 font-weight-bold text-uppercase">Enable Mobile view</h6>
   <div class="sb--card" title="group?.name" attr.aria-label="group?.name" role="link" tabindex="0">
     <div class="sb--card__main-area">
       <div class="sb--card__img">
         <div class="img-container img-container--label" style="background-color: rgb(179, 235, 215)">
           <label>AB</label>
         </div>
       </div>
       <div class="sb--card__info">
         <div class="d-flex flex-dr flex-jc-space-between">
           <div class="sb--card__title sb__ellipsis sb__ellipsis--three text-left" title="group?.name">group?.name</div>
           <div class="sb-label-badge">Admin</div>
         </div>
           <div class="sb--card__meta2 text-left p-0 pt-4">
             <div class="sb--card__meta2_data sb__ellipsis sb__ellipsis--two" title="group?.description">group?.description</div>
           </div>
       </div>
     </div>
     </div>
   <!-- display area of component end -->
  </div>
  <div class="ComponentBlock__code">
     <!-- Code view start -->
     <sui-tabset>
           <div class="ui top attached tabular menu">
               <a class="item" suiTabHeader="1">HTML</a>
               <a class="item" suiTabHeader="2">CSS</a>
               <a class="item" suiTabHeader="3">Variables</a>
           </div>
           <div class="ui bottom attached segment" suiTabContent="1">
                 <div class="relative" *ngIf="groupcard_mobile">
                   <!--Copy code button-->
                   <button class="copycode__btn" ngxClipboard [cbContent]="groupcard_mobile"
                     class="sb-btn sb-btn-primary sb-btn-xs fa fa-copy btn-copy"></button>
                   <!--Copy code button-->
               
                   <!--Copy code display-->
                   <pre>
                     <code [languages]="['html']" [highlight]="groupcard_mobile"></code>
                   </pre>
                   <!--Copy code display-->
                 </div>
             </div>
 
           <div class="ui bottom attached segment" suiTabContent="2">
                 <!-- <h6 class="mt-0 font-weight-bold text-uppercase">CSS</h6> -->
                 <div class="relative" *ngIf="sblibrarycardV2_css">
                   <!--Copy code button-->
                   <button class="copycode__btn" ngxClipboard [cbContent]="sblibrarycardV2_css"
                     class="sb-btn sb-btn-primary sb-btn-xs fa fa-copy btn-copy"></button>
                   <!--Copy code button-->
               
                   <!--Copy code display-->
                   <pre>
                     <code [languages]="['html']" [highlight]="sblibrarycardV2_css"></code>
                   </pre>
                   <!--Copy code display-->
                 </div>
             </div>
           <div class="ui bottom attached segment" suiTabContent="3">
                 <!-- <h6 class="mt-0 font-weight-bold text-uppercase">CSS</h6> -->
                 
                 <div class="relative" *ngIf="sblibrarycardV2_vars">
                   <!--Copy code button-->
                   <button class="copycode__btn" ngxClipboard [cbContent]="sblibrarycardV2_vars"
                     class="sb-btn sb-btn-primary sb-btn-xs fa fa-copy btn-copy"></button>
                   <!--Copy code button-->
               
                   <!--Copy code display-->
                   <pre>
                     <code [languages]="['html']" [highlight]="sblibrarycardV2_vars"></code>
                   </pre>
                   <!--Copy code display-->
                 </div>
             </div>
     </sui-tabset>
   <!-- Code view end -->
  </div>
</div>


<div class="ComponentBlock">
  <!--Display code-->
  <h4>Group Card (Web) <em class="fsmall"><a href="https://github.com/Sunbird-Ed/SunbirdEd-consumption-ngcomponents/blob/master/projects/common-consumption/src/lib/card/library-card/library-card.md" target="_blank">Git Reference</a></em></h4>
  <p>Documentation and examples for opt-in styling of tables (given their prevalent use in JavaScript
    plugins) with Bootstrap.</p>
 
  <div class="ComponentBlock__view">
   <!-- display area of component start -->
   <h6 class="mt-0 font-weight-bold text-uppercase">Enable Web view</h6>
   <div class="sb--card" title="group?.name" attr.aria-label="group?.name" role="link" tabindex="0">
    <div class="sb--card__main-area">
      <div class="sb--card__img">
        <div class="img-container img-container--label" style="background-color: rgb(179, 235, 215)">
          <label>AB</label>
        </div>
      </div>
      <div class="sb--card__info">
        <div class="d-flex flex-dr flex-jc-space-between">
          <div class="sb--card__title sb__ellipsis sb__ellipsis--three text-left" title="group?.name">group?.name</div>
          <div class="sb-label-badge">Admin</div>
        </div>
      </div>
    </div>
    <div class="sb--card__moreinfo">
      <div class="sb--card__meta2 text-left">
        <div class="sb--card__meta2_data sb__ellipsis sb__ellipsis--two" title="group?.description">group?.description</div>
      </div>
    </div>
    </div>
   <!-- display area of component end -->
  </div>
  <div class="ComponentBlock__code">
     <!-- Code view start -->
     <sui-tabset>
           <div class="ui top attached tabular menu">
               <a class="item" suiTabHeader="1">HTML</a>
               <a class="item" suiTabHeader="2">CSS</a>
               <a class="item" suiTabHeader="3">Variables</a>
           </div>
           <div class="ui bottom attached segment" suiTabContent="1">
                 <div class="relative" *ngIf="groupcard_web">
                   <!--Copy code button-->
                   <button class="copycode__btn" ngxClipboard [cbContent]="groupcard_web"
                     class="sb-btn sb-btn-primary sb-btn-xs fa fa-copy btn-copy"></button>
                   <!--Copy code button-->
               
                   <!--Copy code display-->
                   <pre>
                     <code [languages]="['html']" [highlight]="groupcard_web"></code>
                   </pre>
                   <!--Copy code display-->
                 </div>
             </div>
 
           <div class="ui bottom attached segment" suiTabContent="2">
                 <!-- <h6 class="mt-0 font-weight-bold text-uppercase">CSS</h6> -->
                 <div class="relative" *ngIf="gcardCssfull">
                   <!--Copy code button-->
                   <button class="copycode__btn" ngxClipboard [cbContent]="gcardCssfull"
                     class="sb-btn sb-btn-primary sb-btn-xs fa fa-copy btn-copy"></button>
                   <!--Copy code button-->
               
                   <!--Copy code display-->
                   <pre>
                     <code [languages]="['html']" [highlight]="gcardCssfull"></code>
                   </pre>
                   <!--Copy code display-->
                 </div>
             </div>
           <div class="ui bottom attached segment" suiTabContent="3">
                 <!-- <h6 class="mt-0 font-weight-bold text-uppercase">CSS</h6> -->
                 
                 <div class="relative" *ngIf="sblibrarycardV2_vars">
                   <!--Copy code button-->
                   <button class="copycode__btn" ngxClipboard [cbContent]="sblibrarycardV2_vars"
                     class="sb-btn sb-btn-primary sb-btn-xs fa fa-copy btn-copy"></button>
                   <!--Copy code button-->
               
                   <!--Copy code display-->
                   <pre>
                     <code [languages]="['html']" [highlight]="sblibrarycardV2_vars"></code>
                   </pre>
                   <!--Copy code display-->
                 </div>
             </div>
     </sui-tabset>
   <!-- Code view end -->
  </div>
</div>


 <div class="hide hidden">
 <sui-tabset>
  <div class="ui top attached tabular menu">
      <a class="item" suiTabHeader="1">Example</a>
      <a class="item" suiTabHeader="2">HTML</a>
      <a class="item" suiTabHeader="3">CSS</a>
      <a class="item" suiTabHeader="4">Variables</a>
  </div>
  <div class="ui bottom attached segment" suiTabContent="1">
    <div class="sb--card sb--card--theme2" role="link" tabindex="0">
      <svg width="79px" class="sb--card-svg-tail" height="36px" viewBox="0 0 79 36" version="1.1"
        xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
        <g stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
          <g class="sb--card-svg-tail__rc" transform="translate(-735.000000, -524.000000)">
            <g transform="translate(517.000000, 338.000000)">
              <g>
                <path
                  d="M224.269945,224.907985 C224.269945,224.907985 217.096964,205.264724 219.487958,199.23369 C221.878951,193.203161 229.905965,205.609232 231.442925,210.261729 C231.442925,210.261729 230.930605,187 237.762123,187 C244.59339,187 245.447423,217.498667 245.447423,217.498667 C245.447423,217.498667 247.838417,203.54168 252.27894,203.54168 C256.719214,203.54168 251.424907,219.049331 253.645044,218.704823 C255.865431,218.360315 264.612662,211.290301 270.931859,218.871747 C277.250806,226.453445 274.347493,238.1705 281.17901,237.998119 C288.010277,237.825992 268.503575,211.123125 272.431528,205.95374 C276.359732,200.784607 286.265169,212.84617 287.119203,215.94775 C287.119203,215.94775 286.606883,199.23369 291.218013,199.23369 C295.829393,199.23369 296,223.18494 296,223.18494 L224.269945,224.907985 Z">
                </path>
              </g>
            </g>
          </g>
        </g>
      </svg>
      <div class="sb--card__main-area">
        <!-- card img -->
        <div class="sb--card__img sb--card__image-pos">
          <div class="img-container">
            <img src="https://sunbirdstagingpublic.blob.core.windows.net/sunbird-content-staging/content/teacher_module_on_4.pptx_371_1473163689_1473163697831.jpg" alt="">
          </div>
        </div>
        <div class="sb--card__svg-area">
          <img src="https://staging.sunbirded.org/assets/common-consumption/images/abstract_01.svg" alt="">
        </div>
        <div class="sb--card__type">content?.primaryCategory || content?.contentType</div>
      </div>
    
      <!-- card mobile view details -->
      <div class="sb--card__info">
        <div class="sb--card__meta">
          <h4 class="sb--card__title sb__ellipsis sb__ellipsis--two text-left flex-basis-1" title="content?.name">
            <bdi>content?.name</bdi></h4>
          <!-- <a role="button" aria-label="View more actions menu" class="menu"></a> -->
        </div>
        <div class="sb--card__meta1 text-left">
          <ng-container>
            <span class="data_0 mr-8 organisation" title="content?.organisation">content?.organisation[0]</span>
            <span class="data_0 mr-8" title="content?.organisation">+content?.organisation.length-</span>
          </ng-container>
          <ng-container >
            <span class="data_1 mr-8 medium" title="content?.medium[0]">content?.medium[0]</span>
            <span class="data_1 mr-8" title="content?.medium">+content?.medium.length-1</span>
          </ng-container>
          <ng-container>
            <span class="data_2" title="content?.gradeLevel[0]">content?.gradeLevel[0]</span>
            <span class="data_2" title="content?.gradeLevel">+content?.gradeLevel.length-1</span>
          </ng-container>
        </div>
      </div>
      <!-- content for only desktop -->
      <div class="">
        <div class="sb--card__moreinfo">
          <!-- other meta info subject, publisher/organizer etc -->
          <div class="sb--card__meta2 text-left">
            <ng-container>
              <div class="sb--card__meta2_data sb__ellipsis subject">
                <span>Subject: </span> <span title="content?.subject[0]">content?.subject[0]</span> <span class="data_1 mr-8" title="content?.subject"> +content?.subject.length-1
                </span>
              </div>
            </ng-container>
            <ng-container>
              <div class="sb--card__meta2_data sb__ellipsis organisation">
                <span>Publisher: </span> <span title="content?.organisation[0]">content?.organisation[0]</span>
                <span class="data_1 mr-8" title="content?.organisation"> +content?.organisation.length-1</span>
              </div>
            </ng-container>
          </div>
          <!-- other meta info Badge and card category Book, learn, practice -->
          <div class="sb--card__tags">
            <span class="sb--card__badge"><img src="" alt="" title="" /></span>
          </div>
        </div>
        <div class="hide hidden">
          <div>
            <button class="sb-btn sb-btn-primary sb-btn-normal w-100 border-top-r-left-right">
              <i class="icon-svg icon-svg--xxs icon-videos mr-4">
                <svg class="icon icon-svg--white">
                  <use xlink:href="assets/common-consumption/images/sprite.svg#play"></use>
                </svg>
              </i> btnlabel </button>
          </div>
        </div>
      </div>
    
      <!-- Qr code card -->
      <div class="hide hidden">
        <!-- Section area if not available it will be hidden -->
        <div class="sb--card__moreinfo">
          <div class="sb--card__meta2 text-left">
            <div class="sb--card__meta2_data sb__ellipsis sb__ellipsis--two">
              <span class="label">moreInfoLabel</span>
              <span class="value">section</span>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="ui bottom attached segment" suiTabContent="2">
    <div class="copycode copycode--ct" *ngIf="sblibrarycardV2">
      <!--Copy code button-->
      <button class="copycode__btn" ngxClipboard [cbContent]="sblibrarycardV2"
        class="sb-btn sb-btn-primary sb-btn-xs fa fa-copy btn-copy"></button>
      <!--Copy code button-->
   
      <!--Copy code display-->
      <pre>
        <code [languages]="['html']" [highlight]="sblibrarycardV2"></code>
      </pre>
      <!--Copy code display-->
    </div>
  </div>
  <div class="ui bottom attached segment" suiTabContent="3">
    <div class="copycode copycode--ct" *ngIf="sblibrarycardV2_css">
      <!--Copy code button-->
      <button class="copycode__btn" ngxClipboard [cbContent]="sblibrarycardV2_css"
        class="sb-btn sb-btn-primary sb-btn-xs fa fa-copy btn-copy"></button>
      <!--Copy code button-->
   
      <!--Copy code display-->
      <pre>
        <code [languages]="['html']" [highlight]="sblibrarycardV2_css"></code>
      </pre>
      <!--Copy code display-->
    </div>
  </div>
   <div class="ui bottom attached segment" suiTabContent="4">
    <div class="copycode copycode--ct" *ngIf="sblibrarycardV2_vars">
      <!--Copy code button-->
      <button class="copycode__btn" ngxClipboard [cbContent]="sblibrarycardV2_vars"
        class="sb-btn sb-btn-primary sb-btn-xs fa fa-copy btn-copy"></button>
      <!--Copy code button-->
   
      <!--Copy code display-->
      <pre>
        <code [languages]="['html']" [highlight]="sblibrarycardV2_vars"></code>
      </pre>
      <!--Copy code display-->
    </div>
  </div>
</sui-tabset>


<div class="hide hidden">
 <div class="displaycode displaycode--ct">
  <div class="sb--card sb--card--theme2" role="link" tabindex="0">
    <svg width="79px" class="sb--card-svg-tail" height="36px" viewBox="0 0 79 36" version="1.1"
      xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
      <g stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
        <g class="sb--card-svg-tail__rc" transform="translate(-735.000000, -524.000000)">
          <g transform="translate(517.000000, 338.000000)">
            <g>
              <path
                d="M224.269945,224.907985 C224.269945,224.907985 217.096964,205.264724 219.487958,199.23369 C221.878951,193.203161 229.905965,205.609232 231.442925,210.261729 C231.442925,210.261729 230.930605,187 237.762123,187 C244.59339,187 245.447423,217.498667 245.447423,217.498667 C245.447423,217.498667 247.838417,203.54168 252.27894,203.54168 C256.719214,203.54168 251.424907,219.049331 253.645044,218.704823 C255.865431,218.360315 264.612662,211.290301 270.931859,218.871747 C277.250806,226.453445 274.347493,238.1705 281.17901,237.998119 C288.010277,237.825992 268.503575,211.123125 272.431528,205.95374 C276.359732,200.784607 286.265169,212.84617 287.119203,215.94775 C287.119203,215.94775 286.606883,199.23369 291.218013,199.23369 C295.829393,199.23369 296,223.18494 296,223.18494 L224.269945,224.907985 Z">
              </path>
            </g>
          </g>
        </g>
      </g>
    </svg>
    <div class="sb--card__main-area">
      <!-- card img -->
      <div class="sb--card__img sb--card__image-pos">
        <div class="img-container">
          <img src="https://sunbirdstagingpublic.blob.core.windows.net/sunbird-content-staging/content/teacher_module_on_4.pptx_371_1473163689_1473163697831.jpg" alt="">
        </div>
      </div>
      <div class="sb--card__svg-area">
        <img src="https://staging.sunbirded.org/assets/common-consumption/images/abstract_01.svg" alt="">
      </div>
      <div class="sb--card__type">content?.primaryCategory || content?.contentType</div>
    </div>
  
    <!-- card mobile view details -->
    <div class="sb--card__info">
      <div class="sb--card__meta">
        <h4 class="sb--card__title sb__ellipsis sb__ellipsis--two text-left flex-basis-1" title="content?.name">
          <bdi>content?.name</bdi></h4>
        <!-- <a role="button" aria-label="View more actions menu" class="menu"></a> -->
      </div>
      <div class="sb--card__meta1 text-left">
        <ng-container>
          <span class="data_0 mr-8 organisation" title="content?.organisation">content?.organisation[0]</span>
          <span class="data_0 mr-8" title="content?.organisation">+content?.organisation.length-</span>
        </ng-container>
        <ng-container >
          <span class="data_1 mr-8 medium" title="content?.medium[0]">content?.medium[0]</span>
          <span class="data_1 mr-8" title="content?.medium">+content?.medium.length-1</span>
        </ng-container>
        <ng-container>
          <span class="data_2" title="content?.gradeLevel[0]">content?.gradeLevel[0]</span>
          <span class="data_2" title="content?.gradeLevel">+content?.gradeLevel.length-1</span>
        </ng-container>
      </div>
    </div>
    <!-- content for only desktop -->
    <div class="">
      <div class="sb--card__moreinfo">
        <!-- other meta info subject, publisher/organizer etc -->
        <div class="sb--card__meta2 text-left">
          <ng-container>
            <div class="sb--card__meta2_data sb__ellipsis subject">
              <span>Subject: </span> <span title="content?.subject[0]">content?.subject[0]</span> <span class="data_1 mr-8" title="content?.subject"> +content?.subject.length-1
              </span>
            </div>
          </ng-container>
          <ng-container>
            <div class="sb--card__meta2_data sb__ellipsis organisation">
              <span>Publisher: </span> <span title="content?.organisation[0]">content?.organisation[0]</span>
              <span class="data_1 mr-8" title="content?.organisation"> +content?.organisation.length-1</span>
            </div>
          </ng-container>
        </div>
        <!-- other meta info Badge and card category Book, learn, practice -->
        <div class="sb--card__tags">
          <span class="sb--card__badge"><img src="" alt="" title="" /></span>
        </div>
      </div>
      <div class="hide hidden">
        <div>
          <button class="sb-btn sb-btn-primary sb-btn-normal w-100 border-top-r-left-right">
            <i class="icon-svg icon-svg--xxs icon-videos mr-4">
              <svg class="icon icon-svg--white">
                <use xlink:href="assets/common-consumption/images/sprite.svg#play"></use>
              </svg>
            </i> btnlabel </button>
        </div>
      </div>
    </div>
  
    <!-- Qr code card -->
    <div class="hide hidden">
      <!-- Section area if not available it will be hidden -->
      <div class="sb--card__moreinfo">
        <div class="sb--card__meta2 text-left">
          <div class="sb--card__meta2_data sb__ellipsis sb__ellipsis--two">
            <span class="label">moreInfoLabel</span>
            <span class="value">section</span>
          </div>
        </div>
      </div>
    </div>
  </div>
 </div>
 <div class="copycode copycode--ct" *ngIf="sblibrarycardV2">
   <!--Copy code button-->
   <button class="copycode__btn" ngxClipboard [cbContent]="sblibrarycardV2"
     class="sb-btn sb-btn-primary sb-btn-xs fa fa-copy btn-copy"></button>
   <!--Copy code button-->

   <!--Copy code display-->
   <pre>
     <code [languages]="['html']" [highlight]="sblibrarycardV2"></code>
   </pre>
   <!--Copy code display-->
 </div>
</div>

  <!--Display code-->
  <h4>Library Card</h4>
  <div class="displaycode displaycode--ct">
    <div class="sb--card" tabindex="0" role="button">
      <div class="sb--card__main-area">
        <!-- card img -->
        <div class="sb--card__img">
          <div class="img-container">
            <img src="https://staging.sunbirded.org/assets/images/book.png" alt="">
          </div>
        </div>
        <!-- card mobile view details -->
        <div class="sb--card__info">
            <div class="sb--card__meta1">
              <h4 class="sb--card__title sb__ellipsis sb__ellipsis--two text-left flex-basis-1" title="ಹೋಲಿಸುವುದು-NSC4_1A-G1"><bdi>ಹೋಲಿಸುವುದು-NSC4_1A-G1</bdi></h4>
              <a role="button" aria-label="View more actions menu" class="menu"tabindex="0"></a>
            </div>
          <div class="sb--card__meta1 text-left">
            <span class="data_1 ellipsis" title="Subject">Subject</span>
            <span class="dot-divider"></span>
            <span class="data_2 ellipsis" title="Grade Level">Grade Level</span>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="copycode copycode--ct" *ngIf="sblibrarycard">
    <!--Copy code button-->
    <button class="copycode__btn" ngxClipboard [cbContent]="sblibrarycard"
      class="sb-btn sb-btn-primary sb-btn-xs fa fa-copy btn-copy"></button>
    <!--Copy code button-->

    <!--Copy code display-->
    <pre>
      <code [highlight]="sblibrarycard"></code>
    </pre>
    <!--Copy code display-->
  </div>

  <!--Display code-->
  <h4>Library Card Recently Viewed</h4>
  <div class="displaycode displaycode--ct">
    <div class="sb--card sb--card--recently-viewed" tabindex="0" role="button">
      <div class="sb--card__main-area">
        <!-- card img -->
        <div class="sb--card__img">
          <div class="img-container">
            <img src="https://staging.sunbirded.org/assets/images/book.png" alt="">
          </div>
        </div>
        <!-- card mobile view details -->
        <div class="sb--card__info">
            <div class="sb--card__meta1">
              <h4 class="sb--card__title sb__ellipsis sb__ellipsis--two text-left flex-basis-1" title="ಹೋಲಿಸುವುದು-NSC4_1A-G1"><bdi>ಹೋಲಿಸುವುದು-NSC4_1A-G1</bdi></h4>
              <a role="button" aria-label="View more actions menu" class="menu"tabindex="0"></a>
            </div>
          <div class="sb--card__meta1 text-left">
            <span class="data_1 ellipsis" title="Subject">Subject</span>
            <span class="dot-divider"></span>
            <span class="data_2 ellipsis" title="Grade Level">Grade Level</span>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="copycode copycode--ct" *ngIf="sblibrarycardRecentlyViewed">
    <!--Copy code button-->
    <button class="copycode__btn" ngxClipboard [cbContent]="sblibrarycardRecentlyViewed"
      class="sb-btn sb-btn-primary sb-btn-xs fa fa-copy btn-copy"></button>
    <!--Copy code button-->

    <!--Copy code display-->
    <pre>
      <code [highlight]="sblibrarycardRecentlyViewed"></code>
    </pre>
    <!--Copy code display-->
  </div>

</div>